<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "cpn_error_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "CpnErrorLog".
 *
 * Columns in table "cpn_error_log" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $software_identifier
 * @property string $installation_identifier
 * @property string $ip_address
 * @property string $error_text
 * @property string $date_added
 *
 */
// IMPORTANT: This model does not inherit from BaseModel because we don't
// want this information to go to PDI.
// It is correct for it to inherit directly from GxActiveRecord
abstract class BaseCpnErrorLog extends GxActiveRecord
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'cpn_error_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'CpnErrorLog|CpnErrorLogs', $n);
    }

    public static function representingColumn()
    {
        return 'error_text';
    }

    public function rules()
    {
        return array(
            array('error_text', 'required'),
            array('software_identifier, installation_identifier', 'length', 'max' => 255),
            array('ip_address', 'length', 'max' => 50),
            array('date_added', 'safe'),
            array('software_identifier, installation_identifier, ip_address, date_added', 'default',
                'setOnEmpty' => true, 'value' => null),
            array('id, software_identifier, installation_identifier, ip_address, error_text, date_added',
                'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'software_identifier' => Yii::t('app', 'Software Identifier'),
            'installation_identifier' => Yii::t('app', 'Installation Identifier'),
            'ip_address' => Yii::t('app', 'Ip Address'),
            'error_text' => Yii::t('app', 'Error Text'),
            'date_added' => Yii::t('app', 'Date Added'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('software_identifier', $this->software_identifier, true);
        $criteria->compare('installation_identifier', $this->installation_identifier, true);
        $criteria->compare('ip_address', $this->ip_address, true);
        $criteria->compare('error_text', $this->error_text, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
